<!DOCTYPE html>
<html lang="ko">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="css/style.css" rel="stylesheet">
        <title>3_표관련태그</title>
        <style>
            table { background-color: aqua; }
            thead { background-color: aquamarine; }
            tbody { background-color: blue; }
            tfoot { background-color: chocolate; 
            }

        </style>

    </head>
    <body>
    <h1>&lt;table&gt;</h1>
    <p>
        웹 문서애서 자료 정리를 위해 주로 사용되는 태그로 행과 열로 이루어져 있고,
        행과 열이 만나는 지점을 셀이라고 한다.<br>
        - border 속성 :  table의 테두리 두께 지정
    </p>

    <h3>&lt;caption&gt; : 테이블의 제목이나 내용을 추가하는 태그</h3>
    <h3>&lt;tr&gt; : 한 개의 행을 만드는 태그</h3>
    <h3>&lt;td&gt; : 한 개의 열을 만드는 태그</h3>
    <h3>&lt;th&gt; : 열에 대한 제목을 표시하는 태그(가운데 정렬, 굵게)</h3>

    <table border="1px">
        <caption><b>웹 브라우저의 종류</b></caption>        
        <tr>
            <th>브라우저명</th>
            <th>제조사</th>
            <th>홈페이지</th>
        </tr>
        <tr>
            <td>익스플로러</td>
            <td>MS</td>
            <td>https://www.microsoft.com</td>
        </tr>
        <tr>
            <td>크롬</td>
            <td>구글</td>
            <td>https://www.google.com</td>
        </tr>
        <tr>
            <td>사파리</td>
            <td>애플</td>
            <td>https://www.apple.com</td>
        </tr>
        <tr>
            <td>파이어폭스</td>
            <td>Mozilla</td>
            <td>https://www.mozilla.com</td>
        </tr>
    </table>
    <hr>

    <h1>표의 행과 열 합치기</h1>
    <h3>회원정보</h3>
    <table border="1px">
        <tr>
            <td colspan="2" rowspan="2" width="130px" height="130px">사진</td>
            <td width="80px">이름</td>
            <td width="200px"></td>
        <tr>
            <td>연락처</td>
            <td></td>
        </tr>
            <td width="70px" height="50px">주소</td>
            <td colspan="3"></td>
        </tr>
        <tr>
            <td height="100px">자기소개</td>
            <td colspan="3"></td>
        </tr>
    </table>

    <hr>

    <h1>테이블의 구조 설정</h1>
    <table border="1px">
        <thead>
            <tr>
                <th>이름</th>
                <th>나이</th>
                <th>주소</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>홍길동</td>
                <td>20</td>
                <td>서울시 종로구</td>
            </tr>
            <tr>
                <td>유관순</td>
                <td>16</td>
                <td>서울시 종로구</td>
            </tr>
            <tr>
                <td>선덕여왕</td>
                <td>30</td>
                <td>서울시 종로구</td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="2">총 인원</td>
                <td>3명</td>
            </tr>
        </tfoot>
    </table>

    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>

    

    </body>
</html>